Package org.kapott.hbci.comm

## Class PinTanSSLTrustManager

- java.lang.Object
- - org.kapott.hbci.comm.PinTanSSLTrustManager

All Implemented Interfaces:
  `javax.net.ssl.TrustManager`, `javax.net.ssl.X509TrustManager`

    public class PinTanSSLTrustManager
    extends java.lang.Object
    implements javax.net.ssl.X509TrustManager

### Constructor Summary

Constructors
`PinTanSSLTrustManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkClientTrusted​(java.security.cert.X509Certificate[] chain, java.lang.String authType)`
`void` `checkServerTrusted​(java.security.cert.X509Certificate[] chain, java.lang.String authType)`
`java.security.cert.X509Certificate[]` `getAcceptedIssuers()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PinTanSSLTrustManager

    public PinTanSSLTrustManager()

### Method Detail

#### getAcceptedIssuers

    public java.security.cert.X509Certificate[] getAcceptedIssuers()

Specified by:
  `getAcceptedIssuers` in interface `javax.net.ssl.X509TrustManager`

#### checkClientTrusted

    public void checkClientTrusted​(java.security.cert.X509Certificate[] chain,
                                   java.lang.String authType)

Specified by:
  `checkClientTrusted` in interface `javax.net.ssl.X509TrustManager`

#### checkServerTrusted

    public void checkServerTrusted​(java.security.cert.X509Certificate[] chain,
                                   java.lang.String authType)

Specified by:
  `checkServerTrusted` in interface `javax.net.ssl.X509TrustManager`